Skip to main content
POST
/
v1
/
accounts
/
{account_id}
/
fx
/
quotes
/
{quote_id}
/
execute
Execute FX Quote
curl --request POST \
  --url https://api.hopnow.io/v1/accounts/{account_id}/fx/quotes/{quote_id}/execute \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": "<string>",
  "account_id": "<string>",
  "quote_id": "<string>",
  "source_currency": "<string>",
  "target_currency": "<string>",
  "amount_type": "<string>",
  "source_amount": "<string>",
  "target_amount": "<string>",
  "all_in_rate": "<string>",
  "status": "<string>",
  "trade_type": "<string>",
  "executed_at": "<string>",
  "note": "<string>",
  "created": "<string>",
  "updated": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.hopnow.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

account_id
string
required
The account’s external ID (starts with acc_)
quote_id
string
required
The FX quote’s external ID (starts with fxq_)

Response

id
string
FX trade identifier (starts with fxt_)
object
string
Always returns "fx_trade"
account_id
string
Account ID
quote_id
string
FX quote ID
source_currency
string
Source currency code
target_currency
string
Target currency code
amount_type
string
Whether the amount is source or target
source_amount
string
Source currency amount (decimal)
target_amount
string
Target currency amount (decimal)
all_in_rate
string
All-in exchange rate (decimal)
status
string
Trade status: pending, completed, or failed
trade_type
string
Type of trade (e.g., market)
executed_at
string
ISO 8601 timestamp when trade was executed
note
string
Optional note
created
string
ISO 8601 timestamp when created
updated
string
ISO 8601 timestamp when last updated

Response Example

{
  "id": "fxt_1234567890abcdef",
  "object": "fx_trade",
  "account_id": "acc_1234567890abcdef",
  "quote_id": "fxq_1234567890abcdef",
  "source_currency": "USD",
  "target_currency": "EUR",
  "amount_type": "source",
  "source_amount": "1000.00",
  "target_amount": "855.69",
  "all_in_rate": "0.85569",
  "status": "completed",
  "trade_type": "market",
  "executed_at": "2024-01-15T10:00:30Z",
  "note": null,
  "created": "2024-01-15T10:00:30Z",
  "updated": "2024-01-15T10:00:30Z"
}